Monaco > Linux Technical Support > Topic Details
Roadhouse Dec 7, 2013 @ 8:04pm
Crashes on Launch - Arch Linux 64 - Radeon HD5770
As the title says, when I load the game it brings up a black screen before instantly crashing back to desktop.

Arch Linux 64
Radeon HD5770
Catalyst Drivers
Showing 1-5 of 5 comments
< >
doorknob60 Dec 7, 2013 @ 11:59pm 
I have the same problem in Arch Linux 64, but I have a Geforce 9800GT. SO, it's probably not a Catalyst/AMD problem.
doorknob60 Dec 8, 2013 @ 12:07am 
Install lib32-alsa-plugins and lib32-libpulse. That fixed it for me. If it still doesn't work, try installing some other 32 bit libs, or run it from the terminal and check for errors.
Roadhouse Dec 8, 2013 @ 12:32am 
That fixed it! Thanks for the help!
Roadhouse Dec 8, 2013 @ 12:34am 
Also fixed Glare. Most excellent.
Enhanced_Interrogator Jan 9, 2014 @ 12:15pm 
Thanks for the tip roadhouse.

I'm on Ubuntu 13.10 and had to jump through some more hoops as Ubuntu doesn't host the 32-bit metapackages anymore. So you have to get a bunch individually. Thankfully I found a stray post on a forum for a different game with a similar problem. I just copied and pasted these libs with sudo apt-get install.

bluez-alsa:i386 gstreamer0.10-plugins-base:i386 gstreamer0.10-plugins-good:i386 gtk2-engines:i386 gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386 gvfs:i386 ibus-gtk:i386 libacl1:i386 libaio1:i386 libao4:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libattr1:i386 libaudio2:i386 libcanberra-gtk-module:i386 libcap2:i386 libcapi20-3:i386 libcups2:i386 libcupsimage2:i386 libcurl3:i386 libdbus-glib-1-2:i386 libesd0:i386 libfontconfig1:i386 libfreetype6:i386 libgail-common:i386 libgconf-2-4:i386 libgdbm3:i386 libgettextpo0:i386 libglapi-mesa:i386 libglu1-mesa:i386 libgphoto2-6:i386 libgphoto2-port10:i386 libgtk2.0-0:i386 libmpg123-0:i386 libncursesw5:i386 libnspr4:i386 libnss3:i386 libodbc1:i386 libopenal1:i386 libpulse-mainloop-glib0:i386 libpulsedsp:i386 libqt4-dbus:i386 libqt4-network:i386 libqt4-opengl:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386 librsvg2-common:i386 libsane:i386 libsdl-image1.2:i386 libsdl-mixer1.2:i386 libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libsdl1.2debian:i386 libsqlite3-0:i386 libssl0.9.8:i386 libssl1.0.0:i386 libstdc++5:i386 libstdc++6:i386 libxaw7:i386 libxml2:i386 libxp6:i386 libxslt1.1:i386 libxss1:i386 libxtst6:i386 odbcinst1debian2:i386 xaw3dg:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libpam-winbind:i386

Original post:

http://forums.thedarkmod.com/topic/15289-ubuntu-1310-64-bit-and-32-bit-libs/
Showing 1-5 of 5 comments
< >
Per page: 15 30 50